Bug 1299422 - hyperref broken out of the box
hyperref broken out of the box
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 05:38 EST by Grégoire
Modified: 2016-01-23 22:32 EST (History)
3 users (show)

See Also:
Fixed In Version: texlive-2014-18.20140525_r34255.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 22:32:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grégoire 2016-01-18 05:38:19 EST
Description of problem: Used with xelatex, the package texlive-hyperref complains about a missing file (pzdr)


Version-Release number of selected component (if applicable):


How reproducible: reproducible


Steps to Reproduce: (on a fresh system, with no previous texlive installation)
1. dnf install texlive-xelatex texlive-hyperref
2. Create a test.tex document somewhere with this content:
> \documentclass[11pt]{article}
> \usepackage{hyperref}
> \begin{document}
> Hello world!
> \end{document}

3. run xelatex test.tex

Actual results: The typesetting fails because the font pzdr is not found

Expected results: typesetting should succeed

Additional info: Here's the full output:

This is XeTeX, Version 3.14159265-2.6-0.99991 (TeX Live 2014) (preloaded format=xelatex)
 restricted \write18 enabled.
entering extended mode
(./test2.tex
LaTeX2e <2011/06/27>
Babel <3.9k> and hyphenation patterns for 2 languages loaded.
(/usr/share/texlive/texmf-dist/tex/latex/base/article.cls
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
(/usr/share/texlive/texmf-dist/tex/latex/base/size11.clo))
(/usr/share/texlive/texmf-dist/tex/latex/hyperref/hyperref.sty
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/hobsub-hyperref.sty
(/usr/share/texlive/texmf-dist/tex/generic/oberdiek/hobsub-generic.sty))
(/usr/share/texlive/texmf-dist/tex/latex/graphics/keyval.sty)
(/usr/share/texlive/texmf-dist/tex/generic/ifxetex/ifxetex.sty)
(/usr/share/texlive/texmf-dist/tex/latex/oberdiek/auxhook.sty)
(/usr/share/texlive/texmf-dist/tex/latex/oberdiek/kvoptions.sty)
(/usr/share/texlive/texmf-dist/tex/latex/hyperref/pd1enc.def)
(/usr/share/texlive/texmf-dist/tex/latex/latexconfig/hyperref.cfg)
(/usr/share/texlive/texmf-dist/tex/latex/url/url.sty)
kpathsea: Running mktextfm pzdr
/usr/share/texlive/texmf-dist/web2c/mktexnam: Could not map source abbreviation  for pzdr.
/usr/share/texlive/texmf-dist/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input pzdr
This is METAFONT, Version 2.7182818 (TeX Live 2014) (preloaded base=mf)

kpathsea: Running mktexmf pzdr

! I can't find file `pzdr'.
<*> \mode:=ljfour; mag:=1; nonstopmode; input pzdr
                                                  
Please type another input file name
! Emergency stop.
<*> \mode:=ljfour; mag:=1; nonstopmode; input pzdr
                                                  
Transcript written on mfput.log.
grep: pzdr.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input pzdr' failed to make pzdr.tfm.
kpathsea: Appending font creation commands to missfont.log.

! Font \XeTeXLink@font=pzdr at 0.00002pt not loadable: Metric (TFM) file or ins
talled font not found.
<to be read again> 
                   \relax 
l.5125   \font\XeTeXLink@font=pzdr at 1sp\relax
                                               
No pages of output.
Transcript written on test2.log.
Comment 1 Grégoire 2016-01-18 05:42:32 EST
I managed to fix the issue by installing texlive-zapfding, maybe that could be added as a dependency of texlive-hyperref.
Comment 2 Fedora Update System 2016-01-19 22:16:24 EST
texlive-2014-18.20140525_r34255.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-74f2c23353
Comment 3 Fedora Update System 2016-01-20 18:57:39 EST
texlive-2014-18.20140525_r34255.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-74f2c23353
Comment 4 Fedora Update System 2016-01-23 22:31:43 EST
texlive-2014-18.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.